--- title: "createLoadBalancerListener" slug: "networking-vloadbalancer-loadbalancer-createloadbalancerlistener" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-createloadbalancerlistener" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createLoadBalancerListener Available in VPC Create a new listener to register with a load balancer. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/createLoadBalancerListener | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code for the load balancer instance whose listener you want to create - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `loadBalancerInstanceNo` | String | Required | Number of the load balancer instance - See [getLoadBalancerInstanceList](/docs/en/networking-vloadbalancer-loadbalancer-getloadbalancerinstancelist) | | `protocolTypeCode` | String | Required | Protocol type of load balancer listener - `HTTP` \| `HTTPS` \| `TCP` \| `UDP` \| `TLS` - Type of load balancer limits the values you can select - Application Load Balancer: `HTTP` \| `HTTPS` - Network Load Balancer: `TCP` \| `UDP` - Network Proxy Load Balancer: `TCP` \| `TLS` - `UDP` protocol is only available in Singapore and Japan Regions | | `port` | Integer | Required | Port of the listener - 1 - 65534 - It can't be duplicated with an existing registered listener port | | `targetGroupNo` | String | Required | Target group number - See [getTargetGroupList](/docs/en/networking-vloadbalancer-targetgroup-gettargetgrouplist) - Selected target group is applied to the listener's default rule - Target groups already in use by another load balancer can't be used - Available target groups are limited by the type of load balancer and the protocol type of the target group - Network Load Balancer: `TCP` \| `UDP` - Application Load Balancer: `HTTP` \| `HTTPS` - Network Proxy Load Balancer: `PROXY_TCP` | | `useHttp2` | Boolean | Optional | Whether to use the HTTP/2 protocol - `true` \| `false` (default) - It can be set if the listener's protocol type is `HTTPS` | | `sslCertificateNo` | String | Conditional | SSL certificate number - See [getCertificateList](/docs/en/security-certificatemanager-getcertificatelist) - If the listener's protocol type is `HTTPS` or `TLS`, the SSL certificate must be set | | `tlsMinVersionTypeCode` | String | Optional | TLS minimum supported version - `TLSV10` (default) \| `TLSV11` \| `TLSV12` - `TLSV10`: TLS 1.0 - `TLSV11`: TLS 1.1 - `TLSV12`: TLS 1.2 - It can be set if the listener's protocol type is `HTTPS` or `TLS` | | `cipherSuiteList.N` | List[String] | Optional | List of encryption tools provided by the load balancer when negotiating encryption with the client - `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA` \| `TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256` \| `TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256` \| `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA` \| `TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384` \| `TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384` \| `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA` \| `TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256` \| `TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256` \| `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA` \| `TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384` \| `TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384` \| `TLS_RSA_WITH_AES_128_CBC_SHA` \| `TLS_RSA_WITH_AES_128_CBC_SHA256` \| `TLS_RSA_WITH_AES_128_GCM_SHA256` \| `TLS_RSA_WITH_AES_256_CBC_SHA` \| `TLS_RSA_WITH_AES_256_CBC_SHA256` \| `TLS_RSA_WITH_AES_256_GCM_SHA384` \| `TLS_DHE_RSA_WITH_AES_128_CBC_SHA` \| `TLS_DHE_RSA_WITH_AES_128_CBC_SHA256` \| `TLS_DHE_RSA_WITH_AES_256_CBC_SHA` \| `TLS_DHE_RSA_WITH_AES_256_CBC_SHA256` - Select All (default) - It can be set if the listener's protocol type is `HTTPS` or `TLS` | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/createLoadBalancerListener?regionCode=KR&loadBalancerInstanceNo=********&protocolTypeCode=HTTP&port=80&targetGroupNo=*******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [LoadBalancerListenerList](/docs/en/common-vapidatatype-loadbalancerlistenerlist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 05993e9c-1c80-458d-b7b6-e84c84b6812a 0 success 1 ******** ****** HTTP HTTP protocol 80 false ****** ```